# $Revision: 1.25.2.13 $, $Date: 2007-11-20 01:15:43 $
Summary:	Routing Software Suite
Summary(pl):	Zestaw oprogramowania do routingu
Name:		quagga
Version:	0.98.6
Release:	6
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.quagga.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	b0d4132039953a0214256873b7d23d68
Source1:	%{name}.pam
Source10:	%{name}-zebra.init
Source11:	%{name}-bgpd.init
Source12:	%{name}-ospf6d.init
Source13:	%{name}-ospfd.init
Source14:	%{name}-ripd.init
Source15:	%{name}-ripngd.init
Source20:	%{name}-zebra.sysconfig
Source21:	%{name}-bgpd.sysconfig
Source22:	%{name}-ospf6d.sysconfig
Source23:	%{name}-ospfd.sysconfig
Source24:	%{name}-ripd.sysconfig
Source25:	%{name}-ripngd.sysconfig
Source30:	%{name}-zebra.logrotate
Source31:	%{name}-bgpd.logrotate
Source32:	%{name}-ospfd.logrotate
Source33:	%{name}-ospf6d.logrotate
Source34:	%{name}-ripngd.logrotate
Source35:	%{name}-ripd.logrotate
Patch0:		%{name}-info.patch
Patch1:		%{name}-proc.patch
Patch2:		%{name}-netlink.patch
Patch3:		%{name}-ospf_lsdb.patch
Patch4:		%{name}-ospfclient.patch
Patch5:		%{name}-vtysh-pam.patch
Patch6:		%{name}-blackhole.patch
Patch7:		%{name}-largefile.patch
URL:		http://www.quagga.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.1
BuildRequires:	net-snmp-devel
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	readline-devel >= 4.1
BuildRequires:	rpmbuild(macros) >= 1.202
BuildRequires:	texinfo
Requires(post):	/bin/hostname
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(quagga)
Provides:	group(quaggavty)
Provides:	routingdaemon
Provides:	user(quagga)
Obsoletes:	bird
Obsoletes:	gated
Obsoletes:	mrt
Obsoletes:	quagga
Obsoletes:	zebra-xs26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_includedir	%{_prefix}/include/%{name}
%define		_localstatedir	%{_var}/run/%{name}

%description
Quagga is a routing software suite, providing implementations of
OSPFv2, OSPFv3, RIP v1 and v2, RIPv3 and BGPv4 for Unix platforms,
particularly FreeBSD and Linux and also NetBSD, to mention a few.
Quagga is a fork of GNU Zebra which was developed by Kunihiro
Ishiguro. The Quagga tree aims to build a more involved community
around Quagga than the current centralised model of GNU Zebra.

%description -l pl
Quagga to zestaw oprogramowania do routingu, dostarczajcy
implementacje OSPFv2, OSPFv3, RIP v1 i v2, RIPv3 i BGPv4 dla platform
uniksowych, w szczeglnoci FreeBSD, Linuksa, NetBSD - eby wymieni
tylko kilka. Quagga to odgazienie projektu GNU Zebra, ktry by
rozwijany przez Kunihiro Ishiguro. Celem drzewa Quagga jest
zgromadzenie bardziej zaangaowanej spoecznoci wok projektu, ni w
aktualnie scentralizowanym modelu GNU Zebry.

%package bgpd
Summary:	BGP routing daemon
Summary(pl):	Demon routingu BGP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-xs26-bgpd

%description bgpd
BGP routing daemon. Includes IPv6 support.

%description bgpd -l pl
Demon obsugi protokou BGP. Obsuguje take IPv6.

%package ospfd
Summary:	OSPF routing daemon
Summary(pl):	Demon routingu OSPF
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description ospfd
OSPF routing daemon.

%description ospfd -l pl
Demon do obsugi protokou OSPF.

%package ospf6d
Summary:	IPv6 OSPF routing daemon
Summary(pl):	Demon routingu OSPF w sieciach IPv6
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-xs26-ospf6d

%description ospf6d
OSPF6 routing daemon for IPv6 networks.

%description ospf6d -l pl
Demon obsugi protokou OSPF w sieciach IPv6.

%package ripd
Summary:	RIP routing daemon
Summary(pl):	Demon routingu RIP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}

%description ripd
RIP routing daemon for zebra.

%description ripd -l pl
Demon obsugi protokou RIP.

%package ripngd
Summary:	IPv6 RIP routing daemon
Summary(pl):	Demon routingu RIP w sieciach IPv6
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Obsoletes:	zebra-xs26-ripngd

%description ripngd
RIP routing daemon for IPv6 networks.

%description ripngd -l pl
Demon obsugi protokou RIP w sieciach IPv6.

%package devel
Summary:	Header files for quagga libraries
Summary(pl):	Pliki nagwkowe bibliotek quagga
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for quagga libraries.

%description devel -l pl
Pliki nagwkowe bibliotek quagga.

%package static
Summary:	Static version of quagga libraries
Summary(pl):	Statyczne wersje bibliotek quagga
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of quagga libraries.

%description static -l pl
Statyczne wersje bibliotek quagga.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure \
	--enable-ipv6 \
	--enable-vtysh \
	--enable-netlink \
	--enable-snmp \
	--enable-nssa \
	--enable-opaque-lsa \
	--enable-ospfapi=yes \
	--enable-ospfclient=yes \
	--enable-ospf-te \
	--enable-multipath=64 \
	--enable-user=quagga \
	--enable-group=quagga \
	--enable-vty-group=quaggavty \
	--enable-rtadv \
	--disable-watchquagga \
	--with-libpam

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,pam.d} \
	$RPM_BUILD_ROOT/var/log/{archiv,}/%{name} \
	$RPM_BUILD_ROOT/%{_var}/run/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/zebra

install %{SOURCE10} $RPM_BUILD_ROOT/etc/rc.d/init.d/zebra
install %{SOURCE11} $RPM_BUILD_ROOT/etc/rc.d/init.d/bgpd
install %{SOURCE12} $RPM_BUILD_ROOT/etc/rc.d/init.d/ospf6d
install %{SOURCE13} $RPM_BUILD_ROOT/etc/rc.d/init.d/ospfd
install %{SOURCE14} $RPM_BUILD_ROOT/etc/rc.d/init.d/ripd
install %{SOURCE15} $RPM_BUILD_ROOT/etc/rc.d/init.d/ripngd

install %{SOURCE20} $RPM_BUILD_ROOT/etc/sysconfig/zebra
install %{SOURCE21} $RPM_BUILD_ROOT/etc/sysconfig/bgpd
install %{SOURCE22} $RPM_BUILD_ROOT/etc/sysconfig/ospf6d
install %{SOURCE23} $RPM_BUILD_ROOT/etc/sysconfig/ospfd
install %{SOURCE24} $RPM_BUILD_ROOT/etc/sysconfig/ripd
install %{SOURCE25} $RPM_BUILD_ROOT/etc/sysconfig/ripngd

install %{SOURCE30} $RPM_BUILD_ROOT/etc/logrotate.d/zebra
install %{SOURCE31} $RPM_BUILD_ROOT/etc/logrotate.d/bgpd
install %{SOURCE32} $RPM_BUILD_ROOT/etc/logrotate.d/ospfd
install %{SOURCE33} $RPM_BUILD_ROOT/etc/logrotate.d/ospf6d
install %{SOURCE34} $RPM_BUILD_ROOT/etc/logrotate.d/ripd
install %{SOURCE35} $RPM_BUILD_ROOT/etc/logrotate.d/ripngd

touch $RPM_BUILD_ROOT/var/log/%{name}/{zebra,bgpd,ospf6d,ospfd,ripd,ripngd}.log

touch $RPM_BUILD_ROOT%{_sysconfdir}/{vtysh,zebra,bgpd,ospf6d,ospfd,ripd,ripngd}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 127 quagga
%groupadd -g 128 quaggavty
%useradd -u 127 -d /tmp -s /bin/false -c "Quagga User" -g quagga quagga

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/ldconfig
/sbin/chkconfig --add zebra >&2
umask 027
if [ ! -s %{_sysconfdir}/zebra.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/zebra.conf
fi
%service zebra restart "main routing daemon"

%post bgpd
/sbin/chkconfig --add bgpd >&2
if [ ! -s %{_sysconfdir}/bgpd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/bgpd.conf
fi
%service bgpd restart "bgpd routing daemon"

%post ospfd
/sbin/chkconfig --add ospfd >&2
if [ ! -s %{_sysconfdir}/ospfd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ospfd.conf
fi
%service ospfd restart "ospfd routing daemon"

%post ospf6d
/sbin/chkconfig --add ospf6d >&2
if [ ! -s %{_sysconfdir}/ospf6d.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ospf6d.conf
fi
%service ospf6d restart "ospf6d routing daemon"

%post ripd
/sbin/chkconfig --add ripd >&2
if [ ! -s %{_sysconfdir}/ripd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ripd.conf
fi
%service ripd restart "ripd routing daemon"

%post ripngd
/sbin/chkconfig --add ripngd >&2
if [ ! -s %{_sysconfdir}/ripngd.conf ]; then
	echo "hostname `hostname`" > %{_sysconfdir}/ripngd.conf
fi
%service ripngd restart "ripngd routing daemon"

%preun
if [ "$1" = "0" ]; then
	%service zebra stop
	/sbin/chkconfig --del zebra >&2
fi

%preun bgpd
if [ "$1" = "0" ]; then
	%service bgpd stop
	/sbin/chkconfig --del bgpd >&2
fi

%preun ospfd
if [ "$1" = "0" ]; then
	%service ospfd stop
	/sbin/chkconfig --del ospfd >&2
fi

%preun ospf6d
if [ "$1" = "0" ]; then
	%service ospf6d stop
	/sbin/chkconfig --del ospf6d >&2
fi

%preun ripd
if [ "$1" = "0" ]; then
	%service ripd stop
	/sbin/chkconfig --del ripd >&2
fi

%preun ripngd
if [ "$1" = "0" ]; then
	%service ripngd stop
	/sbin/chkconfig --del ripngd >&2
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "0" ]; then
	%userremove quagga
	%groupremove quagga
	%groupremove quaggavty
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README REPORTING-BUGS SERVICES TODO
%{_infodir}/*info*
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*
%dir %attr(770,root,quagga) %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/vtysh.conf
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/zebra.conf
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/zebra
%dir %attr(770,root,quagga) /var/run/%{name}
%dir %attr(750,quagga,logs) /var/log/%{name}
%dir %attr(750,root,root) /var/log/archiv/%{name}
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%doc zebra/*sample*
%{_mandir}/man8/zebra*
%attr(755,root,root) %{_sbindir}/zebra
%attr(754,root,root) /etc/rc.d/init.d/zebra
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/zebra
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/zebra
%ghost /var/log/%{name}/zebra*

%files bgpd
%defattr(644,root,root,755)
%doc bgpd/*sample*
%{_mandir}/man8/bgpd*
%attr(755,root,root) %{_sbindir}/bgpd
%attr(754,root,root) /etc/rc.d/init.d/bgpd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/bgpd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/bgpd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/bgpd
%ghost /var/log/%{name}/bgpd*

%files ospfd
%defattr(644,root,root,755)
%doc ospfd/*sample*
%{_mandir}/man8/ospfd*
%attr(755,root,root) %{_sbindir}/ospfd
%attr(755,root,root) %{_sbindir}/ospfclient
%attr(754,root,root) /etc/rc.d/init.d/ospfd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ospfd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ospfd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ospfd
%ghost /var/log/%{name}/ospfd*

%files ospf6d
%defattr(644,root,root,755)
%doc ospf6d/*sample*
%{_mandir}/man8/ospf6d*
%attr(755,root,root) %{_sbindir}/ospf6d
%attr(754,root,root) /etc/rc.d/init.d/ospf6d
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ospf6d.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ospf6d
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ospf6d
%ghost /var/log/%{name}/ospf6d*

%files ripd
%defattr(644,root,root,755)
%doc ripd/*sample*
%{_mandir}/man8/ripd*
%attr(755,root,root) %{_sbindir}/ripd
%attr(754,root,root) /etc/rc.d/init.d/ripd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ripd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ripd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ripd
%ghost /var/log/%{name}/ripd*

%files ripngd
%defattr(644,root,root,755)
%doc ripngd/*sample*
%{_mandir}/man8/ripngd*
%attr(755,root,root) %{_sbindir}/ripngd
%attr(754,root,root) /etc/rc.d/init.d/ripngd
%config(noreplace) %verify(not md5 mtime size) %attr(660,root,quagga) %{_sysconfdir}/ripngd.conf
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/sysconfig/ripngd
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) /etc/logrotate.d/ripngd
%ghost /var/log/%{name}/ripngd*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quagga.spec,v $
Revision 1.25.2.13  2007-11-20 01:15:43  glen
- rel 6

Revision 1.25.2.12  2007-05-25 09:20:42  arekm
- fix log msg

Revision 1.25.2.11  2007/05/25 09:19:03  arekm
- rel 5

Revision 1.25.2.10  2007/05/14 20:17:45  arekm
- rel 4; create 640 quagga logs for logs.

Revision 1.25.2.9  2006/10/08 11:06:16  arekm
- support logs larger than 2GB on some systems

Revision 1.25.2.8  2006/09/09 01:34:29  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.25.2.7  2006/05/10 15:39:24  zawadaa
- up to 0.98.6
- security and bug fixes: CVE-2006-2223, CVE-2006-2224, OSVDB ID 25245

Revision 1.25.2.6  2006/04/15 14:08:36  glen
- use %service, rel 3

Revision 1.25.2.5  2006/04/15 14:02:46  glen
- adapter

Revision 1.25.2.4  2006/02/05 11:04:24  arekm
- rel 2; updated initscripts; fixed rights to /var/log/quagga dir

Revision 1.25.2.3  2005/08/29 10:36:31  undefine
- up to 0.98.5

Revision 1.25.2.2  2005/06/27 17:57:29  undefine
- fix md5

Revision 1.25.2.1  2005/06/27 17:54:04  undefine
- up to 0.98.4
- patch to bgp-blackhole from http://lukasz.bromirski.net/docs/prezos/meetbsd2005/02-bgp-and-blackholing.pdf

Revision 1.25  2005/05/05 18:04:25  qboosh
- sorted verify() flags

Revision 1.24  2005/05/05 13:44:21  kosmo
- added missing configuration files for routing daemons
- addrd quagga-vtysh-pam.patch
- release 2, please STBR for AC

Revision 1.23  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.22  2005/04/01 15:41:48  undefine
- up to 0.98.3
- release 1 (only fixes for 0.98.2, 0.98.2 works, and 0.98.3 works too ;)

Revision 1.21  2005/04/01 00:19:27  undefine
- BR: libtool

Revision 1.20  2005/03/31 00:34:38  undefine
- correct md5

Revision 1.19  2005/02/20 13:12:37  averne
- back to 0.80.2
- fixed to build with gcc4

Revision 1.18  2005/02/20 12:03:00  sardzent
- back to 0.97.4

Revision 1.17  2005/01/12 11:53:27  sardzent
- up to 0.98.0

Revision 1.16  2004/12/30 22:16:58  qboosh
- added comment to last changelog entry to make it useful

Revision 1.15  2004/12/30 22:02:43  djrzulf
- fresh meat, need to be tested,
[0.97.4]

Revision 1.14  2004/11/11 18:04:12  marcus
- updated to 0.97.3 (security ospfd fix)
- fixed URL

Revision 1.13  2004/10/26 20:30:53  qboosh
- restored rpmbuild(macros) BR needed for {user,group}remove support
- unified ldconfig usage, separated static libs

Revision 1.12  2004/10/26 07:35:02  aredridel
- obsoletes zebra
- needs user quagga -- FIXME

Revision 1.11  2004/10/26 07:29:31  aredridel
- add ldconfig
- add libs

Revision 1.10  2004/10/26 06:34:34  aredridel
- up to 0.97.2

Revision 1.9  2004/09/16 00:06:17  ankry
- %%userremove/%%groupremove support
- unification

Revision 1.8  2004/07/13 11:18:46  ankry
- fixed UID check, spaces -> tabs, rel. 3

Revision 1.7  2004/07/11 22:38:32  averne
- /etc/quagga should be writable for group quagga
- rel 2.

Revision 1.6  2004/07/11 17:26:51  averne
- updated to 0.96.5
- rel 1.

Revision 1.5  2004/03/24 16:50:55  arekm
- use /var/log/quagga
- pid files in /var/run/quagga (was broken)
- add all required users/group in pre scrips (+remove in postun) - quagga/quaggavty
- fix logrotate and init scripts
- rel 2

Revision 1.4  2004/03/24 16:19:25  arekm
- added devel subpackage

Revision 1.3  2003/12/01 13:00:13  qboosh
- ported info,proc,netlink patches from zebra
- --enable-ipv6 to fix some compilation errors... but still fails (on vtysh now)

Revision 1.2  2003/11/04 20:34:39  qboosh
- pl for base

Revision 1.1  2003/11/03 21:24:06  arekm
- started but no time to finish it
